program phaml_master
use phaml
implicit none
type(phaml_solution_type) :: pde1
call phaml_create(pde1,nproc=4,eq_type=EIGENVALUE)
call phaml_solve_pde(pde1,print_grid_when=PHASES,print_grid_who=MASTER, &
                     print_warnings=.false.,print_error_who=MASTER, &
                     print_energy_norm_errest=.true., &
                     print_Linf_norm_errest=.true., &
                     print_eval_when=PHASES,print_eval_who=MASTER, &
                     print_solver_when=PHASES,print_solver_who=MASTER, &
                     max_vert=500,eigensolver=SLEPC_ARNOLDI,num_eval=1)
call phaml_destroy(pde1)

end program phaml_master
